Bug 115863 - Tiff Images not inserted in Writer, Calc, Impress
Summary: Tiff Images not inserted in Writer, Calc, Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Aron Budea
URL:
Whiteboard: target:6.1.0 target:6.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-02-19 19:47 UTC by Frank
Modified: 2018-02-24 16:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Church, 1bit TiFF (40.00 KB, image/tiff)
2018-02-19 19:47 UTC, Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2018-02-19 19:47:55 UTC
Created attachment 140001 [details]
Church, 1bit TiFF

When inserting a special image via
"Insert" > "Image" 
then pick the given image -> i get an error "Unknown image format"

I attach the problematic picture.
It´s an 1 bit TIF Image, in previous versions of LO it worked well.

Other TIFF´s were inserted properly.
Same effect in Calc, Draw and Impress

But I don´t know the last working version of LO, because i had´nt used that file for some years.

I´m on Windows 10 pro, 64bit, 
LO 6.0.1.1, 64 bit
Comment 1 Regina Henschel 2018-02-19 22:43:23 UTC
I get the described error with Version: 6.0.1.1 (x64)
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL

It was OK in Version: 5.4.4.1 (x64)
Build ID: da790616461e15a10c95a80eb8ef8ee7b726c114
CPU threads: 8; OS: Windows 6.19; UI render: GL; 
Locale: de-DE (de_DE); Calc: CL
Comment 2 V Stuart Foote 2018-02-19 22:46:46 UTC
Confirmed. On Windows 10 Ent 64-bit en-US with recent master
Version: 6.1.0.0.alpha0+ (x64)
Build ID: e1082e45361a92a31adedcc3ed0a35c704bca543
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-02-15_23:24:06
Locale: en-US (en_US); Calc: group

and with release 
Version: 6.0.1.1 (x64)
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
Locale: en-US (en_US); Calc: group

but was OK with 
Version: 5.4.4.2 (x64)
Build ID: 2524958677847fb3bb44820e40380acbe820f960
CPU threads: 8; OS: Windows 6.19; UI render: GL; 
Locale: en-US (en_US); Calc: group

@Tor, any residual wisdom from your work on bug 113918 for issues with 1bpp PNG?
Comment 3 Aron Budea 2018-02-24 03:25:41 UTC
Regression (a typo) introduced by the following commit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=651e1f6cda04468394c65c2fd88d915902ac0306
author		Caolán McNamara <caolanm@redhat.com>	2017-09-25 09:03:49 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2017-09-25 10:09:26 +0100

ofz: divide-by-zero
Comment 4 Commit Notification 2018-02-24 06:02:50 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40c33132cfa6582dfccf17e787f10dd4dbd0819d

tdf#115863: fix TIFF import

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Aron Budea 2018-02-24 06:03:54 UTC
Backport to 6.0 is in gerrit.
Comment 6 Commit Notification 2018-02-24 16:17:27 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67440aad72bc0e0163fbc105e5a67ba219363111&h=libreoffice-6-0

tdf#115863: fix TIFF import

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.